RedRavenApi reference
Save reconnaissance probes
Replace edited probe prompts. Clears prior evaluation results.
Replace edited probe prompts. Clears prior evaluation results.
Authorization
ApiKeyAuth OrganizationId X-API-Key<token>
Your RedRaven API key.
In: header
X-Organization-Id<token>
RedRaven organization UUID that scopes the API key.
In: header
Path Parameters
test_id*string
RedRaven test UUID.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/tests/497f6eca-6276-4993-bfeb-53cbbbba6f08/reconnaissance" \ -H "Content-Type: application/json" \ -d '{ "probes": [ { "id": "string", "prompt": "string" } ] }'{ "status": "string", "probes": [ { "id": "string", "category": "", "purpose": "", "prompt": "string" } ]}Empty
Generate reconnaissance probes POST
Trigger probe generation for a test. Generation fills `metadata.reconnaissance` asynchronously. Poll `GET /api/v1/tests/{test_id}` until status is `completed`.
Evaluate reconnaissance responses POST
Submit target responses for each probe. `is_answered` true means the probe was answered (a fail). Results are stored on the test and are required before scenario generation.